CREATE TABLE mkt_imp_trmt_prom_assoc (
    BATCH_ID                 NUMBER(18, 0),
    INTERFACE_ROW_ID         NUMBER(18, 0),
    IMPORT_STATUS_CODE       VARCHAR2(120),
    ACTION_CODE              VARCHAR2(120),
    FILE_RECORD_NUM          NUMBER(10, 0),
    TRMT_EXT_REF             VARCHAR2(256),
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)     NOT NULL,
    REQUEST_ID               NUMBER(18, 0),
    TREATMENT_ID             NUMBER(18, 0),
    PROM_EXT_REF             VARCHAR2(400),
    PROMOTION_ID             NUMBER(18, 0),
    PRIMARY_FLAG             VARCHAR2(4)  ,
    COUPON_ID                NUMBER(18, 0),
    COUPON_EXT_REF           VARCHAR2(400),
    PROMOTION_ASSOC_ID       NUMBER(18, 0),
    CREATION_DATE            TIMESTAMP(6) ,
    CREATED_BY               VARCHAR2(256),
    LAST_UPDATED_BY          VARCHAR2(256),
    LAST_UPDATE_DATE         TIMESTAMP(6) ,
    LAST_UPDATE_LOGIN        VARCHAR2(128),
    BATCH_ID                 NUMBER(18, 0),
    INTERFACE_ROW_ID         NUMBER(18, 0),
    IMPORT_STATUS_CODE       VARCHAR2(120),
    ACTION_CODE              VARCHAR2(120),
    FILE_RECORD_NUM          NUMBER(10, 0),
    TRMT_EXT_REF             VARCHAR2(256),
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)     NOT NULL,
    REQUEST_ID               NUMBER(18, 0),
    TREATMENT_ID             NUMBER(18, 0),
    PROM_EXT_REF             VARCHAR2(400),
    PROMOTION_ID             NUMBER(18, 0),
    PRIMARY_FLAG             VARCHAR2(4)  ,
    COUPON_ID                NUMBER(18, 0),
    COUPON_EXT_REF           VARCHAR2(400),
    PROMOTION_ASSOC_ID       NUMBER(18, 0),
    CREATION_DATE            TIMESTAMP(6) ,
    CREATED_BY               VARCHAR2(256),
    LAST_UPDATED_BY          VARCHAR2(256),
    LAST_UPDATE_DATE         TIMESTAMP(6) ,
    LAST_UPDATE_LOGIN        VARCHAR2(128),
    CONSTRAINT pk_mkt_imp_trmt_prom_assoc PRIMARY KEY (BATCH_ID, INTERFACE_ROW_ID, BATCH_ID, INTERFACE_ROW_ID)
);
